Subject: [BEHAVE] draft-ietf-behave-nat-icmp-08.txt

From: "Dan Wing" <[email-masked]>
Date: Tue, 10 Jun 2008 08:03:27 -0700

draft-ietf-behave-nat-icmp-08.txt was just posted.  These changes address
DISCUSS items raised during IESG review, which can be seen at
https://datatracker.ietf.org/idtracker/draft-ietf-behave-nat-icmp/

Please review these changes and reply to the list.  I need to determine if
there is consensus for these changes so we can move the document forward.

Side-by-side differences are at:
http://www.tools.ietf.org/rfcdiff?url2=http://tools.ietf.org/internet-drafts/d
raft-ietf-behave-nat-icmp-08.txt

Summary of the changes:

* clarified ICMP 'query', 'error', and 'non-queryerror' message
  classifications
* In REQ-9, previous version required NATs to comply with Section 4.3
  of RFC1812, which is the ICMP section of router requirements
  document.  Version -08 softened this requirement (from MUST to
  RECOMMENDED) because many deployed routers do not meet these
  requirements, but -08 does not enumerate the specific RFC1812
  Section 4.3 requirements.
* new REQ-9b which requires ICMP 'packet too big' error messages to
  always be forwarded.  This is so that Path MTU Discovery will work.
* new REQ-10, "A NAT MAY drop or appropriately handle Non-QueryError
  ICMP messages."

-d

_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave

---

From: "Dan Wing" <[email-masked]>
Date: Fri, 20 Jun 2008 13:51:18 -0700

I have received no objections to these changes.  I will continue pushing this
document forward.

Thanks,
-d

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Dan Wing
> Sent: Tuesday, June 10, 2008 8:03 AM
> To: [email-masked]
> Subject: [BEHAVE] draft-ietf-behave-nat-icmp-08.txt
>